Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fxcm.fix
Class MDReqRejReasonFactory

    java.lang.Object
      com.fxcm.fix.MDReqRejReasonFactory

    public class MDReqRejReasonFactory

extends Object

Factory reasons for the rejection of a Market Data request

Field Summary
`static IMDReqRejReason` | `DUPLICATEDMDREQID` MDReqRejReason value: Duplicated MDReqID
`static IMDReqRejReason` | `MDENTRYTYPE` MDReqRejReason value: Unsupported MDEntryType
`static IMDReqRejReason` | `PERMISSIONS` MDReqRejReason value: Insufficient Permissions
`static IMDReqRejReason` | `SCOPE` MDReqRejReason value: Unsupported Scope
`static IMDReqRejReason` | `SUBSCRIPTIONREQUESTTYPE` MDReqRejReason value: Unsupported SubscriptionRequestType
`static IMDReqRejReason` | `TRADINGSESSIONID` MDReqRejReason value: Unsupported TradingSessionID
`static IMDReqRejReason` | `UNKNOWNSYMBOL` MDReqRejReason value: Unknown Symbol

Constructor Summary
`MDReqRejReasonFactory()`

Method Summary
`static IMDReqRejReason` | `toCode(String aCode)` Converts string object fix value to code object.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### UNKNOWNSYMBOL

    public static final IMDReqRejReason UNKNOWNSYMBOL

  MDReqRejReason value: Unknown Symbol

### DUPLICATEDMDREQID

    public static final IMDReqRejReason DUPLICATEDMDREQID

  MDReqRejReason value: Duplicated MDReqID

### PERMISSIONS

    public static final IMDReqRejReason PERMISSIONS

  MDReqRejReason value: Insufficient Permissions

### SUBSCRIPTIONREQUESTTYPE

    public static final IMDReqRejReason SUBSCRIPTIONREQUESTTYPE

  MDReqRejReason value: Unsupported SubscriptionRequestType

### MDENTRYTYPE

    public static final IMDReqRejReason MDENTRYTYPE

  MDReqRejReason value: Unsupported MDEntryType

### TRADINGSESSIONID

    public static final IMDReqRejReason TRADINGSESSIONID

  MDReqRejReason value: Unsupported TradingSessionID

### SCOPE

    public static final IMDReqRejReason SCOPE

  MDReqRejReason value: Unsupported Scope

Constructor Detail

### MDReqRejReasonFactory

    public MDReqRejReasonFactory()

Method Detail

### toCode

    public static IMDReqRejReason toCode(String aCode)

  Converts string object fix value to code object.

  Parameters:
    `aCode` - the one from `MDREQREJREASON_*` constants
  Returns:
    Reason for the rejection of a Market Data request object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2011 FXCM, LLC. All Rights Reserved.